Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util.io
Class JDBCOutputAdapter

    java.lang.Object
      org.neuroph.util.io.JDBCOutputAdapter

All Implemented Interfaces:
  OutputAdapter

    public class JDBCOutputAdapter

extends Object
implements OutputAdapter

Implementation of OutputAdapter interface for writing neural network outputs to database.

Author:
  Zoran Sevarac
See Also:
  `OutputAdapter`

Constructor Summary
`JDBCOutputAdapter(Connection connection, String tableName)` Creates new JDBCOutputAdapter with specifed database connection and table

Method Summary
`void` | `close()` Close destination after writing is finnished.
`void` | `writeOutput(double[] output)` Writes specified output to table in database

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCOutputAdapter

    public JDBCOutputAdapter(Connection connection,
                             String tableName)

  Creates new JDBCOutputAdapter with specifed database connection and table

  Parameters:
    `connection` - database connection
    `tableName` - table to put data into

Method Detail

### writeOutput

    public void writeOutput(double[] output)

  Writes specified output to table in database

  Specified by:
    `writeOutput` in interface `OutputAdapter`
  Parameters:
    `output` -

### close

    public void close()

  Description copied from interface: `OutputAdapter`
  Close destination after writing is finnished. Free resources and perform cleanup.

  Specified by:
    `close` in interface `OutputAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.